<?php

require_once('../libs/common.php');
require_once('../libs/operator.php');
require_once('../libs/settings.php');

$operator = check_login();

$default_extensions = array('mysql', 'gd', 'iconv');

$errors = array();
$page = array(
	'localizations' => get_available_locales(),
	'phpVersion' => phpversion(),
	'version' => $version,
);

foreach ($default_extensions as $ext) {
	if (!extension_loaded($ext)) {
		$page['phpVersion'] .= " $ext/absent";
	} else {
		$ver = phpversion($ext);
		$page['phpVersion'] .= $ver ? " $ext/$ver" : " $ext";
	}
}

prepare_menu($operator);
setup_settings_tabs(3);
start_html_output();
require('../view/updates.php');
?>